Jump to content

hmoller

Members
  • Content Count

    27
  • Joined

  • Last visited

Community Reputation

0 Neutral

About hmoller

  • Rank
    Just Startin'
  • Birthday 03/01/1980

Profile Information

  • Gender
    Male
  • Location
    Chile
  • Registered Products
    1

Recent Profile Visitors

286 profile views
  1. hmoller

    Drivers for Linux

    I have ready the patch for PHD HD Desktop, hope it will be present in Kernel 4.15. In the meantime you can patch your kernel (above 4.9) with this instructions https://sites.google.com/site/hmoller/pod-hd-desktop-linux
  2. Good news!! Take into consideration that every time you update/upgrade your kernel you will need to compile and install it again. Until kernel 4.13 you won't have any problem, but in 4.13 the pod hd500x was added and since you don´t recieve the error 11 maybe another small change must be added. We also need yout help, to help the linux+pod hd community we should include the patch in the kernel. Since the kernel updates are incremental, we should build the patch upon kernel 4.13.So, you will have to test the patch in kernel 4.13. I will reach you in PM to coordinate this.
  3. I've seen that "error", but in my case the module was installed anyway, so continue and see what happens after modprobe. look at this: https://github.com/betolj/ndpi-netfilter/issues/38 https://github.com/patjak/mba6x_bl/issues/46 If it doesn't was installed look at this: https://github.com/patjak/mba6x_bl/issues/54 tell me how it work. brgds HPM
  4. I believe that the problem might be that you must run the command from the directory where te podhd.c is, in your case I believe is /usr/src/linux-source-4.10.0/kernel/sound/usb/line6/ try that and tell me how it works. brgds HPM
  5. Ok, it seems identical to pod hd500x so we will try with the same configuration. And since you have kernel above 4.9 it should be easy The guide is in: https://sites.google.com/site/hmoller/pod-hd500x-linux change the lines where it says "HD500X" to "HDDESKTOP" and the line: { LINE6_IF_NUM(0x4159, 0), .driver_info = LINE6_PODHD500X }, change it to { LINE6_IF_NUM(0x4156, 0), .driver_info = LINE6_PODHDDESKTOP }, this is to match HDDESKTOP product id. try PATCH 1 and tell me how it works. to know if it's working in dmesg you should see something like this (but with HDDESKTOP): [ 9085.982607] snd_usb_podhd 1-3:1.0: Line 6 POD HD500X found [ 9085.986607] snd_usb_podhd 1-3:1.0: Line 6 POD HD500X now attached [ 9085.993332] usbcore: registered new interface driver snd_usb_podhd which distro are you using? you can use alsamixer and select soundcard to make the audio use this new card. brgds HPM
  6. Hi LuizMartins, the guide is ready and the patch for pod hd500x is present in kernel 4.13. But, since I only have the parameters for the hd500x, it won't work in hd desktop. However, it should be easy to build the patch, I need the lsusb -v of the device. If you don't know how to do it, right after you plug your device to the system you should run in a terminal dmesg.That will produce at the end an output like this: [ 8860.408050] usb 1-3: new high-speed USB device number 4 using ehci-pci [ 8860.527576] usb 1-3: New USB device found, idVendor=0e41, idProduct=4159 [ 8860.527579] usb 1-3: New USB device strings: Mfr=1, Product=2, SerialNumber=0 [ 8860.527582] usb 1-3: Product: POD HD500X [ 8860.527584] usb 1-3: Manufacturer: Line 6 what interest us is the idVendor (which should be 0e41, that's line6) and idProduct which should be similar to 4159. store those numbers and the execute the following replacing idVendor and idProduct with the numbers you got in dmesg: lsusb -v -d idVendor:idProduct and give to me that output so I can prepare the patch. Which kernel version are you using? brgds HPM
  7. hmoller

    Drivers for Linux

    The patch for POD HD500x is already present in Kernel 4.13.
  8. hmoller

    Drivers for Linux

    Hi with the help of the guy that did the POD X3 patch, we created a patch for POD HD500X and we are working to be merged in Kernel. Here is the preliminary instruction on how to patch it in kernel 4.9+ and compile the module: https://sites.google...od-hd500x-linux I also believe that this could be easily replicated for HD PRO, POD HD PROX and HD Desktop but I don't have this devices to test it so we could also merged it in the kernel. So, if you have any of this devices and want to try, you would need to make some changes in the patch. changing the device_id, and where 500X appears change it with your device. If it still doesn't work, I can guide you in some small changes. Tell me how is it going to include it in the patch. Finnaly, any other HD user (300,400,500), it would be useful to test if the changes doesn't affected you, so when the new kernel arrive you won't be affected. So, please try it and tell me if it stop working.
  9. Hi with the help of the guy that did the POD X3 patch, we created a patch for POD HD500X and we are working to be merged in Kernel. Here is the preliminary instruction on how to patch it in kernel 4.9+ and compile the module: https://sites.google.com/site/hmoller/pod-hd500x-linux I also believe that this could be easily replicated for HD PRO, POD HD PROX and HD Desktop but I don't have this devices to test it so we could also merged it in the kernel. So, if you have any of this devices and want to try, you would need to make some changes in the patch. changing the device_id, and where 500X appears change it with your device. If it still doesn't work, I can guide you in some small changes. Tell me how is it going to include it in the patch. Finnaly, any other HD user (300,400,500), it would be useful to test if the changes doesn't affected you, so when the new kernel arrive you won't be affected. So, please try it and tell me if it stop working.
  10. Hi, I have good news. We could patch the line6usb drivers and make my pod hd500x capture and playback in linux with kernel above or equal 4.9. I'm writing a guide on how to do it, when ready I will let you know. With a small change I believe it could work with pod hd pro, but I don't have one to test it.
  11. hmoller

    Drivers for Linux

    Hi, I have good news. We could patch the line6usb drivers and make my pod hd500x capture and playback in linux with kernel above or equal 4.9. I'm writing a guide on how to do it, when ready I will let you know. With a small change I believe it could work with pod hd pro, but I don't have one to test it.
  12. Hi, I have good news. We could patch the line6usb drivers and make my pod hd500x capture and playback in linux with kernel above or equal 4.9. I'm writing a guide on how to do it, when ready I will let you know. With a small change I believe it could work with pod hd pro, but I don't have one to test it.
  13. Hi, the last info I could get is that the driver worked ok with a podXT before Ubuntu 12.04. I don't know if HD500 worked some time. here is te sourceforge of teh driver https://sourceforge.net/projects/line6linux/ Please let us know if you succeed.
  14. hmoller

    Drivers for Linux

    Vote in ideascale fro the linux driver idea https://line6.ideasc...rs/870707-23508
  15. hmoller

    Line 6 With Linux?

    Vote in ideascale fro the linux driver idea https://line6.ideascale.com/a/dtd/Linux-Drivers/870707-23508
×